net.sf.jasperreports.components.list

## Class UnusedSpaceImageRenderer

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractRenderer
  - - net.sf.jasperreports.engine.JRAbstractSvgRenderer
    - - net.sf.jasperreports.components.list.UnusedSpaceImageRenderer

- All Implemented Interfaces:
    java.io.Serializable, JRRenderable, Renderable

      public class UnusedSpaceImageRenderer
      extends JRAbstractSvgRenderer

  Am image renderer used to mark the unused vertical space in a list component preview.
  Version:
    $Id: UnusedSpaceImageRenderer.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static UnusedSpaceImageRenderer` | `INSTANCE`

    - ### Fields inherited from interface net.sf.jasperreports.engine.Renderable

      `PROPERTY_IMAGE_DPI`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRRenderable

      `IMAGE_TYPE_GIF, IMAGE_TYPE_JPEG, IMAGE_TYPE_PNG, IMAGE_TYPE_TIFF, IMAGE_TYPE_UNKNOWN, MIME_TYPE_GIF, MIME_TYPE_JPEG, MIME_TYPE_PNG, MIME_TYPE_TIFF, TYPE_IMAGE, TYPE_SVG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnusedSpaceImageRenderer()`
    `UnusedSpaceImageRenderer(java.awt.Shape clip)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `render(java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)` Deprecated. Replaced by `render(JasperReportsContext, Graphics2D, Rectangle2D)`.
    `void` | `render(JasperReportsContext jasperReportsContext, java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractSvgRenderer

      `createGraphics, getBackcolor, getDimension, getDimension, getImageData, getImageData, getImageDataDPI, getImageType, getImageTypeValue, getType, getTypeValue`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractRenderer

      `getId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final UnusedSpaceImageRenderer INSTANCE

  - ### Constructor Detail

    - #### UnusedSpaceImageRenderer

          public UnusedSpaceImageRenderer()

    - #### UnusedSpaceImageRenderer

          public UnusedSpaceImageRenderer(java.awt.Shape clip)

  - ### Method Detail

    - #### render

          public void render(java.awt.Graphics2D grx,
                    java.awt.geom.Rectangle2D rectangle)
                      throws JRException

      Deprecated. Replaced by `render(JasperReportsContext, Graphics2D, Rectangle2D)`.
      Throws:
        `JRException`

    - #### render

          public void render(JasperReportsContext jasperReportsContext,
                    java.awt.Graphics2D grx,
                    java.awt.geom.Rectangle2D rectangle)
                      throws JRException

      Specified by:
        `render` in interface `Renderable`
      Overrides:
        `render` in class `JRAbstractRenderer`
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com